notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)
Port details
py-pypuppetdb03 Library to work with PuppetDB's REST API
0.3.3 databases Deleted on this many watch lists=1 search for ports that depend on this port Find issues related to this port Report an issue related to this port View this port on Repology. pkg-fallout 0.3.3Version of this port present on the latest quarterly branch.
Deprecated DEPRECATED: Use databases/py-pypuppetdb instead
Expired This port expired on: 2020-04-01
Maintainer: puppet@FreeBSD.org search for ports maintained by this maintainer
Port Added: 2016-10-15 07:28:50
Last Update: 2020-04-01 17:11:30
SVN Revision: 530227
People watching this port, also watch:: py38-pycparser, rubygem-hitimes, rubygem-optimist, ladspa, python
Also Listed In: python
License: APACHE20
Description:
SVNWeb : git : Homepage
pkg-plist: as obtained via: make generate-plist
There is no configure plist information for this port.
Dependency lines:
  • ${PYTHON_PKGNAMEPREFIX}pypuppetdb03>0:databases/py-pypuppetdb03@${PY_FLAVOR}
Conflicts:
CONFLICTS_INSTALL:
  • pypuppetdb-*
Conflicts Matches:
There are no Conflicts Matches for this port. This is usually an error.
No installation instructions:
This port has been deleted.
PKGNAME: py37-pypuppetdb03
Package flavors (<flavor>: <package>)
  • py37: py37-pypuppetdb03
  • py27: py27-pypuppetdb03
distinfo:
Packages (timestamps in pop-ups are UTC):
py27-pypuppetdb03
ABIlatestquarterly
FreeBSD:11:aarch640.3.3-
FreeBSD:11:amd64--
FreeBSD:11:armv6--
FreeBSD:11:i386--
FreeBSD:11:mips--
FreeBSD:11:mips64--
FreeBSD:12:aarch640.3.3-
FreeBSD:12:amd64--
FreeBSD:12:armv60.3.3-
FreeBSD:12:armv70.3.3-
FreeBSD:12:i386--
FreeBSD:12:mips--
FreeBSD:12:mips640.3.3-
FreeBSD:12:powerpc64--
FreeBSD:13:aarch64--
FreeBSD:13:amd64--
FreeBSD:13:armv6--
FreeBSD:13:armv7--
FreeBSD:13:i386--
FreeBSD:13:mips--
FreeBSD:13:mips64--
FreeBSD:13:powerpc64--
FreeBSD:14:aarch64--
FreeBSD:14:amd64--
FreeBSD:14:armv6--
FreeBSD:14:armv7--
FreeBSD:14:i386--
FreeBSD:14:mips--
FreeBSD:14:mips64--
FreeBSD:14:powerpc64--
 
py36-pypuppetdb03
ABIlatestquarterly
FreeBSD:11:aarch640.3.3-
FreeBSD:11:amd64--
FreeBSD:11:armv6--
FreeBSD:11:i386--
FreeBSD:11:mips--
FreeBSD:11:mips64--
FreeBSD:12:aarch640.3.3-
FreeBSD:12:amd64--
FreeBSD:12:armv60.3.3-
FreeBSD:12:armv70.3.3-
FreeBSD:12:i386--
FreeBSD:12:mips--
FreeBSD:12:mips640.3.3-
FreeBSD:12:powerpc64--
FreeBSD:13:aarch64--
FreeBSD:13:amd64--
FreeBSD:13:armv6--
FreeBSD:13:armv7--
FreeBSD:13:i386--
FreeBSD:13:mips--
FreeBSD:13:mips64--
FreeBSD:13:powerpc64--
FreeBSD:14:aarch64--
FreeBSD:14:amd64--
FreeBSD:14:armv6--
FreeBSD:14:armv7--
FreeBSD:14:i386--
FreeBSD:14:mips--
FreeBSD:14:mips64--
FreeBSD:14:powerpc64--
 

Dependencies
NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.
Build dependencies:
  1. py37-setuptools>0 : devel/py-setuptools@py37
  2. python3.7 : lang/python37
Runtime dependencies:
  1. py37-setuptools>0 : devel/py-setuptools@py37
  2. python3.7 : lang/python37
NOTE: dependencies for deleted ports are notoriously suspect
This port is required by:
for Run

Deleted ports which required this port:

Expand this list of 2 deleted ports
  1. www/py-puppetboard02*
  2. www/py-puppetboard03*
  3. Collapse this list of deleted ports.
* - deleted ports are only shown under the This port is required by section. It was harder to do for the Required section. Perhaps later...

Configuration Options:
Options name:

USES:

FreshPorts was unable to extract/find any pkg message
Master Sites:
Expand this list (1 items)
Collapse this list.
  1. https://codeload.github.com/voxpupuli/pypuppetdb/tar.gz/v0.3.3?dummy=/
Collapse this list.
Port Moves

Number of commits found: 5

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
01 Apr 2020 17:11:30
Original commit files touched by this commit Revision:530227  0.3.3
rene search for other commits by this committer
Remove expired ports:

2020-04-01 databases/py-pypuppetdb03: Use databases/py-pypuppetdb instead
2020-04-01 www/py-puppetboard02: Use www/py-puppetboard instead
2020-04-01 www/py-puppetboard03: Use www/py-puppetboard instead
03 Jan 2020 19:39:59
Original commit files touched by this commit Revision:521954  0.3.3
romain search for other commits by this committer
Unify and update databases/py-pypuppetdb to 1.2.0

PR:		243028
Reported by:	romain
Approved by:	allanjude
With hat:	puppet
13 Feb 2018 20:13:16
Original commit files touched by this commit Revision:461742  0.3.3
romain search for other commits by this committer
Update to 0.3.3

Release notes:
https://github.com/voxpupuli/pypuppetdb/releases/tag/v0.3.3

While here, pass maintainership to puppet@

With hat:	puppet
03 Feb 2017 23:32:26
Original commit files touched by this commit Revision:433271  0.3.2
romain search for other commits by this committer
Update to 0.3.2
15 Oct 2016 07:28:38
Original commit files touched by this commit Revision:424006  0.3.1
romain search for other commits by this committer
New port for Puppetboard 0.2

Puppetboard depends on pypuppetdb>=0.3, so:

  - copy databases/py-pypuppetdb to databases/py-pypuppetdb03;
  - update databases/py-pypuppetdb03 to 0.3.1;
  - copy www/py-puppetboard to www/py-puppetboard02;
  - update www/py-puppetboard02 to 0.2.0;
  - register conflicts between these ports;
  - take maintainership of new ports.

While here:

  - Update projects account.

PR:		211604 [1], 211918 [2]
Submitted by:	neel@neelc.org [1], romain [2]

Number of commits found: 5